isphtml{
scroll-behavior: smooth;
}

@import url('https://fonts.googleapis.com/css2?family=Atkinson+Hyperlegible:wght@700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Staatliches&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@300;400;500;600&display=swap');
* {
  font-family: 'Atkinson Hyperlegible', sans-serif;
  

}

/*------------
-----Menu-----
--------------*/
body{
  margin: 0px;
}


p{
  margin: 0px;
}

header{
  height: 90px;
  display: flex;
  justify-content: space-between;
  background-color: white;
  padding: 0 60px 0 0;
}
header .gauche{
  display: flex;
  height: 85px;
  margin-left: 10px;
}

header .gauche img{
  height: 100%;
}

header .contenu1{
  display: flex;
  align-items: center;
  top: 0px;

}
header nav ul {
    padding: 0px;
    display: flex;   
    list-style: none;
    gap: 0px;
  margin:0px;
}

li{
    font-size: 20px;
    font-weight: 300px;

}
a{
    color: #107C5A;
}
a:hover{
  color:#0C5E44;
}
header a:link{
    text-decoration: none;
}



/*---------------
-----CONTACT-----
-----------------*/

.presentation img{
  max-width:100%;
  justify-content: center;
  display:flex;
}
.presentation{
  position: relative;
  display:flex;
  justify-content: center;
  align-items: center;
}
.presentation .text {
  position: absolute;
  display: flex;
  flex-direction:column;
  gap:5px;
}
.presentation .text h1{
  margin:0;
  color: white;
  font-size: 2.5vw;
  text-align: center;
}
.presentation .text h2{
  text-align:center;
  color: white;
  margin:0;
  font-size: 1.5vw;
  
}

/*------------
-----FORM-----
--------------*/

.formulaire{
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 40px;
  height: 1200px;
  align-items:center;
}
.formulaire h2{
  text-align: center;
  color: #166C51;
}


.form{
  justify-content: center;
  display: flex;
}

.grid3{
    display: grid;
    height: 820px;
    max-width: 850px;
    grid-template-areas: "civilite nom"
                        "email email"
                        "title title"
                        "message message"
                        "champ champ"
                        "terms terms"
                        "envoyer envoyer"
                        "textm textm";
    grid-template-rows: 70px 70px 70px 215px 20px 20px 60px 162px;
    row-gap: 22px;
    grid-template-columns: 309px;
  
}



.civility{
    display: flex;
    flex-direction: column-reverse;
}
#civility{
    max-width: 245px;
    height: 65px;
    border: 1px solid #AAA9A9;
    border-radius: 4px;
    padding-left: 12px;
}

label{
    color: #107C5A;
}
.nom{
    display: flex;
    flex-direction: column-reverse;
}
#nom{
    max-width: 810px;
    height: 60px;
    border: 1px solid #AAA9A9;
    border-radius: 4px;
    padding-left: 12px;

}
input{
    font-size: 16px;
}
label{
    font-weight: 300;
    font-size: 17px;
}
.email{
    display: flex;
    flex-direction: column-reverse;
}
#email{
    max-width: 850px;
    height: 59px;
    border: 1px solid #AAA9A9;
    border-radius: 4px;
    padding-left: 12px;

}
.message-title{
    display: flex;
    flex-direction: column-reverse;
}
#message-title{
    width: 850px;
    height: 60px;
    border: 1px solid #AAA9A9;
    border-radius: 4px;
    padding-left: 12px;

}
.message{
    display: flex;
    flex-direction: column-reverse;
}
#message{
    border: 1px solid #AAA9A9;
    border-radius: 4px;
}

li button {
  font-weight: 600;
  transition: ease-in-out 125ms;
  border: none;
  color: #107C5A;
  background: white;
  padding: 24px 32px;
  font-size: 22px;
  line-height: 20px;
  border-radius: 9px;
}

.envoyer button {
  font-weight: 600;
  transition: ease-in-out 125ms;
  border: none;
  color: white;
  background: #107C5A;
  font-size: 20px;
  line-height: 12px;
  border-radius: 30px;
  height: 60px;
  width: 130px;
}

.envoyer button:hover {
  background: white;
  color: #107C5A;
  border: 3px solid #107C5A;
}
button:hover {
  background: whitesmoke;
  color: #107C5A;
}

textarea{
    font-size: 16px;
    height: 190px;
    max-width: 850px;
    resize: none;
    overflow-y: hidden;
    padding-left: 20px;
    padding-top: 12px;
}

.grid3 >.civility{
    grid-area: civilite;
}
.grid3 >.nom{
    grid-area: nom;
}
.grid3 >.email{
    grid-area: email;
}
.grid3 >.message-title{
    grid-area: title;
}
.grid3 >.message{
    grid-area: message;
}
.grid3 >.textob{
  grid-area: champ;
}
.grid3 > .check{
  grid-area: terms;
}
.grid3 >.envoyer{
    grid-area: envoyer;
}
.grid3 >.text-mention{
  grid-area: textm;
}


input:focus:invalid {
    border: 1px solid #E15959;
    outline: 1px solid #E15959;
}
input:focus:valid{
    border: 3px solid #5997E1;
    outline: 1px solid #5997E1;
}
input:focus:valid + label{
  color: #5997E1;
}
input:focus:invalid + label{
    color: #E15959);
}
input:focus:valid + label{
    color: #5997E1);
}
select:focus:invalid {
    border: 1px solid #E15959;
    outline: 1px solid #E15959;
}
select:focus:valid{
    border: 1px solid #5997E1;
    outline: 1px solid #5997E1;
}
select:focus:invalid + label{
    color: #E15959;
}
select:focus:valid + label{
    color: #5997E1;
}
textarea:focus:invalid {
    border: 1px solid  #E15959;
    outline: 1px solid  #E15959;
}
textarea:focus:valid{
    border: 1px solid #5997E1;
    outline: 1px solid #5997E1;
    
}
textarea:focus:invalid + label{
    color:  #E15959;
}
textarea:focus:valid + label{
    color: #5997E1;
}

.textob p{
  font-style: italic;
  font-size: 15px;
  color: #107C5A;
}

.check label{
  font-size: 16px;
}


.text-mention p{
  font-style: italic;
  font-size: 14px;
  color: #107C5A;
}


/*--------------
-----FOOTER-----
----------------*/

footer{
  height: 180px;
  justify-content: center;
  background-color: #16bc6b;
  display:flex;
  align-items: center;
  gap:100px;
  
}

footer .imagefoot{
  display: flex;
  height: 170px;
}

footer .imagefoot img{
  height: 100%;
}


.foot a{
  text-decoration: none;
  color: white;
}
.foot button:hover{
  color: #0E6D50;
  font-weight: 600;
}

.foot button{
  font-weight: 600;
  transition: ease-in-out 125ms;
  border: none;
  color: white;
  background: #16bc6b;
  font-size: 15px;
  line-height: 5px;
  height: 25px;
  padding: 0px;
  font-family: 'Lexend', sans-serif;
  font-weight: 300;
}

footer p{
  margin: 0px;
  padding: 0px;
  font-size: 15px;
  color: white;
  font-family: 'Lexend', sans-serif;
  font-weight: 300;
  
}
footer h4{
  color: white;
  font-size: 21px;
  font-family: 'Lexend', sans-serif;
  font-weight: 400;
  margin-bottom: 12px;
}

.foot2{
  display: flex;
  flex-direction: row;
  gap: 130px;
}

li #button2 {
  font-weight: 600;
  transition: ease-in-out 125ms;
  border: none;
  color: #107C5A;
  background: ghostwhite;
  padding: 24px 32px;
  font-size: 22px;
  line-height: 20px;
  border-radius: 9px;
}
#button2:hover {
    background: whitesmoke;
    color: #107C5A;
}